Subject: Re: [PATCH 1/2] [RFC] NET: Implement a standard ndev_printk family

From: Joe Perches <[email-masked]>
Date: Mon, 11 Jun 2007 15:24:45 -0700

On Mon, 2007-06-11 at 15:01 -0700, Kok, Auke wrote:
> > msg_enable is more frequently defined in drivers/net as u32 not int.
> yes, we're only using the bottom 15 bits anyway, but the net_device struct 
> consistently uses 'int' style members, leaving it up to the compiler to pick an 
> appropriate size for each arch. That was the reason I chose int here.

I guess I'm from a "don't be larger than necessary" school.

As it's a bitfield and not a boolean, it should be unsigned.
Perhaps it could also be a good time to rename it to something
like netif_enabled_msgs?